package com.jz.dm.mall.moduls.controller.finance;


import com.jz.common.base.BaseController;
import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.service.FinanceCustomerAssetsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;

/**
 * 商城企业客户资产(TFinanceCustomerAssets)表控制层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:38
 */
@RestController
@RequestMapping("financeCustomerAssets")
@Api(tags = "商城企业客户资产--controller")
public class FinanceCustomerAssetsController extends BaseController {
    /**
     * 服务对象
     */
    @Autowired
    private FinanceCustomerAssetsService assetsService;

    @GetMapping("/findAssets")
    @ApiOperation(value = "查询余额是否充足")
    public Result findAssets(@RequestParam(name = "assetsId", required = false) Long assetsId,
                             @RequestParam(name = "datarice", required = false) BigDecimal dataPrice) {
        assetsService.findAssets(assetsId,dataPrice);
        return null;
    }

}